This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 465569

Summary: spec file bug. Needs Requires on libattr
Product: [Fedora] Fedora Reporter: Dax Kelson <dkelson>
Component: coreutilsAssignee: Ondrej Vasik <ovasik>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: kdudka, ovasik, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-06 09:28:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dax Kelson 2008-10-03 17:31:37 EDT
Description of problem:

In creating a custom spin I noticed a missing dependency of coreutils.

The %post script uses the "mv" command:

    /bin/mv -f %{_infodir}/dir.rpmmodify %{_infodir}/dir

But the mv command won't run without libattr already being installed. 

ldd /bin/mv | grep attr
	libattr.so.1 => /lib64/libattr.so.1 (0x00000032fa600000)

Anaconda/yum doesn't know about the mv command in the %post section so it doesn't install libattr before installing coretuils. This results in that directory not getting renamed, and then all future info page installation in other packages fail.

The other libs that mv requires are installed before coreutils because those libs are dependencies of other packages.

Please add a Requires on libattr to the coreutils spec.
Comment 1 Ondrej Vasik 2008-10-06 09:28:29 EDT
Thanks for report, I added libattr requirements RAWHIDE in coreutils-6.12-11.fc10, closing RAWHIDE - will add that in F-9 as well in next F-9 coreutils update.